declare const _default: {
    name: string;
    props: {
        _constants: {
            type: ObjectConstructor;
            default: () => {
                SCROLL_LOCK_CLASS(mode: any): any;
            };
        };
        visible: {
            type: BooleanConstructor;
            default: boolean;
        };
        customClass: (ArrayConstructor | ObjectConstructor | StringConstructor)[];
        placement: {
            type: StringConstructor;
            default: string;
        };
        width: {
            type: StringConstructor;
            default: string;
        };
        title: StringConstructor;
        showClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        showHeader: {
            type: BooleanConstructor;
            default: boolean;
        };
        showFooter: {
            type: BooleanConstructor;
            default: boolean;
        };
        mask: {
            type: BooleanConstructor;
            default: boolean;
        };
        maskClosable: {
            type: BooleanConstructor;
            default: boolean;
        };
        dragable: BooleanConstructor;
        lockScroll: {
            type: BooleanConstructor;
            default: boolean;
        };
        flex: {
            type: BooleanConstructor;
            default: boolean;
        };
        zIndex: {
            type: NumberConstructor;
            default: number;
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
